## LassoSamlSubjectConfirmation

LassoSamlSubjectConfirmation — <saml:SubjectConfirmation>

## Functions

LassoSamlSubjectConfirmation * | lasso_saml_subject_confirmation_new ()

## Types and Values

struct | LassoSamlSubjectConfirmation

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlSubjectConfirmation

## Description

Figure 40. Schema fragment for saml:SubjectConfirmation

    <element name="SubjectConfirmation" type="saml:SubjectConfirmationType"/>
    <complexType name="SubjectConfirmationType">
      <sequence>
        <element ref="saml:ConfirmationMethod" maxOccurs="unbounded"/>
        <element ref="saml:SubjectConfirmationData" minOccurs="0"/>
        <element ref="ds:KeyInfo" minOccurs="0"/>
      </sequence>
    </complexType>

    <element name="SubjectConfirmationData" type="anyType"/>
    <element name="ConfirmationMethod" type="anyURI"/>

## Functions

### lasso_saml_subject_confirmation_new ()

    LassoSamlSubjectConfirmation *
    lasso_saml_subject_confirmation_new (void);

Creates a new LassoSamlSubjectConfirmation object.

#### Returns

a newly created LassoSamlSubjectConfirmation object

## Types and Values

### struct LassoSamlSubjectConfirmation

    struct LassoSamlSubjectConfirmation {
    	/* <element ref="saml:ConfirmationMethod" maxOccurs="unbounded"/> */
    	GList *ConfirmationMethod; /* of strings */
    	/* <element ref="saml:SubjectConfirmationData" minOccurs="0"/> */
    	char *SubjectConfirmationData;
    	LassoDsKeyInfo *KeyInfo;
    };